{% extends "base.html" %}
{% load staticfiles %}
{% load crispy_forms_tags %}

{% block extra_head %}
{% endblock %}

{% block jumbotron_content %}
<h2>Выбор программы мастерской</h2>
<p>Напоминаем, что на <a href="http://letnyayashkola.org/workshops/">другом нашем сайте</a> можно исследовать, какие на ЛШ-2020 откроются мастерские, что они из себя представляют и кого набирают. Выбирайте мастерскую только после того как убедитесь, что вы соответствуете по принципиальным критериям.</p>
<p>Мастерскую выбрать можно по нескольким соображениям:</p>
<ul>
<li>по интересу</li>
<li>по своим умениям</li>
<li>учтя ограничения, которые накладывает та или иная мастерская</li>
</ul>
<p><span class="glyphicon glyphicon-exclamation-sign"></span> Имейте в виду, у нас есть несколько мастерских, которые набирают участников на разные программы. Разные программы подразумевают разный уровень и&nbsp;направление работы.</p>
<p><span class="glyphicon glyphicon-exclamation-sign"></span> Если мастерской/программы в списке нет, значит, набор на неё закончен.</p>
{% endblock %}

{% block main_content %}
<div class="col-lg-12">
  <h3><span id="workshop_name">Внимание</span></h3>
  <p>
    <span id="workshop_shortinfo">Разные мастерские работают в разные сроки, имеют разные требования к участникам (возраст, пол, религиозные убеждения, навыки)</span>
  </p>

  <form action="" method="post" class="form" id="wp_select_form">
    {% for w in workshops %}
      {% for item in w.programs %}
        {% if item.intaking %}
        <div class="radio">
          <label>
            <input type="radio" class="wp-select" name="optionsRadios" id="optionsRadios2" value="{{ w.slug }}:{{ item.slug }}">
            <p>{{ w.name }} &mdash; <small>{{ item.name }}</small></p>
          </label>
        </div>
        <div class="not wp-description">
          <dl class="dl-horizontal">
          <dt>Кого ищут</dt>
            <dd>{{ item.looking_for }}</dd>
          <dt>По возрасту</dt>
            <dd>{{ item.age_restriction }}
            {% if item.accepts_underage %}
            [Принимают несовершеннолетних]
            {% endif %}
            </dd>
          <dt>Даты</dt>
          {% if item.dates_str == None %}
          <dd>
            <!--<ul class="list-unstyled">-->
              <ul>
              {% for c in item.dates|dictsort:"cycle_n" %}
                <li>{{ c.cycle_n }}-й цикл ({{ c.cycle_description }})</li>
              {% endfor %}
            </ul>
          </dd>
          {% else %}
            <dd>{{ item.dates_str|linebreaks }}</dd>
          {% endif %}
          <dt>Подробнее</dt>
          <dd><a href="https://letnyayashkola.org/{{ w.slug }}#{{ item.slug }}" targe="_blank">страница на сайте</a></dd>
          </dl>
        </div>
        {% endif %}
      {% endfor %}
    {% empty %}
    <p class="lead">Хм... Похоже, что нет больше мастерских, на которое можно было бы подать заявку</p>

    {% endfor %}

    {% crispy form %}

  </form>

</div>

{% endblock main_content %}

{% block scripts %}
  {{ block.super }}
<script type="text/javascript">
  function hide_all_desc() {
    $('.wp-description').addClass('not');
  };

  function show_program_desc() {
    // not optimal, but works
    hide_all_desc();
    var checked_radio = $('input.wp-select:radio:checked');
    var description = checked_radio.parent().parent().next();
    description.removeClass('not');

    var data = checked_radio.val().split(':');
    $('form#wp_select_form #id_workshop_slug').val(data[0]);
    $('form#wp_select_form #id_program_slug').val(data[1]);
    console.log('here i cry');
  };

  $(document).ready(function() {
    console.log('ready');
    //update_workshop_desc();
  });

  $('input.wp-select:radio').change(show_program_desc);
</script>
{% endblock scripts %}
